query.h
/* This file is part of the KDE project
*
* Copyright (C) 2004 Jakub Stachowski <qbast@go2.pl>
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Library General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Library General Public License for more details.
*
* You should have received a copy of the GNU Library General Public License
* along with this library; see the file COPYING.LIB. If not, write to
* the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301, USA.
*/
#ifndef DNSSDQUERY_H
#define DNSSDQUERY_H
#include <qobject.h>
#include <dnssd/remoteservice.h>
namespace DNSSD
{
class QueryPrivate;
class KDNSSD_EXPORT Query : public QObject
{
Q_OBJECT
public:
Query(const QString& type, const QString& domain);
virtual ~Query();
virtual void startQuery();
bool isRunning() const;
bool isFinished() const;
const QString& domain() const;
signals:
void serviceAdded(DNSSD::RemoteService::Ptr);
void serviceRemoved(DNSSD::RemoteService::Ptr);
void finished();
protected:
virtual void virtual_hook(int, void*);
virtual void customEvent(QCustomEvent* event);
private:
QueryPrivate *d;
private slots:
void timeout();
};
}
#endif
DNSSD::Query
This class provides way to search for specified service type in one domain.
Definition: query.h:39

KDE Home | KDE Accessibility Home | Description of Access Keys